Create Path
POST /api/creative/lore/maps/{map_id}/paths
POST
/api/creative/lore/maps/{map_id}/paths
Create a polyline path on a map.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” map_id
required
Map Id
string
Request Body required
Section titled “Request Body required ” MapPathCreate
object
label
Label
string
vertices
required
Vertices
Array<object>
VertexA point on the map in percentage coordinates.
object
xPct
required
Xpct
number
yPct
required
Ypct
number
strokeColor
Strokecolor
string
strokeWidth
Strokewidth
number
strokeStyle
StrokeStyle
string
showDirection
Showdirection
boolean
notes
Notes
string
minZoom
Minzoom
number
maxZoom
Maxzoom
number
Responses
Section titled “ Responses ”Successful Response
MapPathResponse
object
id
required
Id
string
mapId
required
Mapid
string
projectId
required
Projectid
string
label
required
Label
string
vertices
required
Vertices
Array<object>
VertexA point on the map in percentage coordinates.
object
xPct
required
Xpct
number
yPct
required
Ypct
number
strokeColor
required
Strokecolor
string
strokeWidth
required
Strokewidth
number
strokeStyle
required
Strokestyle
string
showDirection
required
Showdirection
boolean
notes
required
Notes
string
minZoom
required
Minzoom
number
maxZoom
required
Maxzoom
number
sortOrder
required
Sortorder
integer
createdAt
required
Createdat
integer
modifiedAt
required
Modifiedat
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context